xkeycaps (2.47-5) unstable; urgency=medium

  * Prevent segfault in commands.c when more than 8 keysyms per key are
    present.
  * Convert to format 3.0 (quilt).
  * Modernize packaging using dh.
  * Remove menu file.

 -- Christoph Berg <myon@debian.org>  Tue, 26 Dec 2017 19:48:20 +0100

xkeycaps (2.47-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add XDG desktop menu entry (Closes: #659177).
  * Raise debhelper compat level to 9.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 18 Feb 2016 10:46:15 +0100

xkeycaps (2.47-4) unstable; urgency=low

  * Build-Depend on xutils-dev instead of xutils. (Closes: #485551)

 -- Christoph Berg <myon@debian.org>  Fri, 04 Jul 2008 10:07:53 +0200

xkeycaps (2.47-3) unstable; urgency=low

  * Fix typo in manpage, spotted by Justin Pryzby (Closes: #436948).
  * Update menu file for new menu policy.

 -- Christoph Berg <myon@debian.org>  Sun, 12 Aug 2007 14:36:04 +0200

xkeycaps (2.47-2) unstable; urgency=low

  * Use xmkmf instead of calling imake directly (Closes: #367844).
  * Build-Depend on xbitmaps.
  * Bump Standards-Version.

 -- Christoph Berg <myon@debian.org>  Wed, 31 May 2006 15:03:55 +0200

xkeycaps (2.47-1) unstable; urgency=low

  * Promote PC105 to the default keyboard for 'The X.Org Foundation'.
  * Promote myself to Upstream and release a new version.

 -- Christoph Berg <myon@debian.org>  Mon,  2 Jan 2006 01:31:24 +0100

xkeycaps (2.46-13) unstable; urgency=low

  * Add keyboard layout for Toshiba Portege 34xxCT by Antony Pavloff.
  * Update mail address for patches.

 -- Christoph Berg <myon@debian.org>  Sun, 18 Dec 2005 01:38:46 +0100

xkeycaps (2.46-12) unstable; urgency=low

  * Make SimpleMenu work with Num/ScrollLock on, thanks to Bernhard R. Link
    for the patch (Closes: #90975).

 -- Christoph Berg <myon@debian.org>  Thu, 24 Nov 2005 15:52:37 +0100

xkeycaps (2.46-11) unstable; urgency=low

  * Rebuild to move menu to /usr/share.
  * Bump Standards-Version (no changes).

 -- Christoph Berg <myon@debian.org>  Tue,  6 Sep 2005 23:36:24 +0200

xkeycaps (2.46-10) unstable; urgency=low

  * New maintainer (thanks to Ray for previously maintaining xkeycaps!).
  * Apply patch I wrote in 2001 to support Sony C1VE/VN notebooks.
  * Manpage:
    + Fix some unescaped hyphens.
    + Clarify "Write Output" documentation (Closes: #284387, #294440).
  * Quote "x11" in debian/menu.
  * debian/rules:
    + Upgrade to debhelper 4.
    + Use dh_installman.
    + Remove redundant debhelper calls.
  * debian/control:
    + Remove Build-Depends on xlibs-dev.
    + Lowercase Description.
    + Priority: optional.
    + Bump Standards-Version.
  * Update copyright years.

 -- Christoph Berg <cb@df7cb.de>  Wed, 23 Feb 2005 02:34:12 +0100

xkeycaps (2.46-9) unstable; urgency=low

  * [debian/control] Prefer libxaw7-dev for the package providing libxaw-dev.
    (Closes: #169999)
  * [debian/rules] Introduced DEB_BUILD_OPTIONS handling.
  * [debian/control] Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 25 Nov 2002 13:06:34 +0100

xkeycaps (2.46-8) unstable; urgency=low

  * Removed dh_installxaw from rules file, as xkeycaps no longer requires
    xaw-wrappers and dh_installxaw is to be phased out. (Closes: #120232)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 19 Nov 2001 20:31:12 +0100

xkeycaps (2.46-7) unstable; urgency=low

  * Fixed path to xkeycaps in menu file. (Closes: #112119)
  * Removed unused emacs setting from changelog.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 13 Sep 2001 20:04:01 +0200

xkeycaps (2.46-6) unstable; urgency=low

  * Acknowledge NMU. (Closes: #105866)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 12 Aug 2001 15:52:33 +0200

xkeycaps (2.46-5.1) unstable; urgency=low

  * NMU
  * Fix Build-depends.  Closes: #105075

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Thu, 19 Jul 2001 10:40:36 -0600

xkeycaps (2.46-5) unstable; urgency=low

  * [Imakefile] Do HP-UX specific stuff on HPPA in general, but only if not 
    on Linux. (Closes: #105075)
  * Added build dependencies.
  * Marked the app-defaults file as a conffile.
  * Install under /usr rather than /usr/X11R6.
  * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 17 Jul 2001 22:42:28 +0200

xkeycaps (2.46-4) unstable; urgency=low

  * Moved app-defaults to /etc/X11/app-defaults. (Closes: #77124)
  * #67226 was fixed in -3. (Closes: #67226)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  4 Dec 2000 20:41:46 +0100

xkeycaps (2.46-3) unstable; urgency=low

  * Have a versioned Conflicts: for nextaw, in order not to conflict with
    the nextawg virtual package which nextaw provides. Thanks to Michael
    Fedrowitz. (Fixes: #67226).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 17 Jul 2000 20:27:13 +0200

xkeycaps (2.46-2) unstable; urgency=low

  * xkeycaps seems to work fine with the current version of neXtaw in woody.
    I can no longer reproduce the "BadPixmap" error when clicking 'OK' after
    selecting the keyboard layout.
    * Dropped the Recommends: xaw-wrappers and debian/xaw.
    * Added Conflicts: for older neXtaw(g) versions.
  * Updated my email address.
  * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  9 Jul 2000 12:13:50 +0200

xkeycaps (2.46-1) unstable; urgency=low

  * New upstream release. New keymaps include
    * Adesso Adesso PCK-301 (XFree86; US)
    * Apple Extended II (MkLinux; US)
    * IBM ThinkPad 560 (XFree86; Spanish)
    * Ortek Enhanced Keyboard (XFree86; US)
    * PC 84 key PC/AT (XFree86; US)
    * PC 102 key, wide Delete, tall Enter (XFree86; Norwegian)
    * PC 105 key, wide Delete, tall Enter (XFree86; Icelandic)
    * PC 105 key, wide Delete, tall Enter (XFree86; Norwegian)
    * PC CoolKeyboard 107 key (XFree86; US)
    * PC Happy Hacking Keyboard (PC mode; XFree86; US)
    * PC Sunshine KB-6868 105 key (XFree86; US)
    * Toshiba Libretto 100CT (US)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 13 Dec 1999 19:40:51 +0100

xkeycaps (2.45-2) unstable; urgency=low

  * FHS migration.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 11 Sep 1999 12:52:12 +0200

xkeycaps (2.45-1) unstable; urgency=low

  * New upstream release. New keymaps include
    * Compaq Presario 1655 (XInside; US)
    * Cramer 106 key Interfaces (XFree86; US)
    * Cramer 106 key Interfaces (Irix 5.2, 6.3; US)
    * KTX 1000 IBM 104 Key Compatible (XFree86; US)
    * Shine `Natural' 106 key (XFree86; Portuguese)

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 22 Jun 1999 17:34:33 +0200

xkeycaps (2.44-3) unstable; urgency=low

  * Conflict with old-style xaw-wrappers; fixes #39598.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sun, 20 Jun 1999 14:17:57 +0200

xkeycaps (2.44-2) unstable; urgency=low

  * Use new method of registering with xaw-wrappers. Patch by Joey Hess
    (thanks!); added debian/xaw. Fixes #37115.

 -- J.H.M. Dassen (Ray) <jdassen@wi.leidenuniv.nl>  Wed,  5 May 1999 22:08:51 +0200

xkeycaps (2.44-1) unstable; urgency=low

  * New upstream release. New keymaps include
    * Digital LK450 (Linux/XFree86)
    * IBM ThinkPad (Linux/Xaccel; US)
    * PC 102 key #1 (Linux/XFree86; Swiss French)
    * PC 102 key #1 (Hewlett-Packard PC; Swedish/Finnish)
    * PC 105 key (Linux/XFree86; CA)
    * PC 105 key (Linux/XFree86; CF)
    * PC 105 key (Linux/XFree86; Swedish/Finnish)
    * PC 105 key (Linux/XFree86; Turkish)
    * PC 105 key (Linux/XFree86; French)
    * Sun Microsystems Type 4 (Linux/XFree86; US)

 -- J.H.M. Dassen (Ray) <jdassen@wi.leidenuniv.nl>  Fri, 23 Apr 1999 20:01:56 +0200

xkeycaps (2.43-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version.
  * Updated URLs in copyright.

 -- J.H.M. Dassen (Ray) <jdassen@wi.leidenuniv.nl>  Tue, 25 Aug 1998 14:23:15 +0200

xkeycaps (2.42-3) frozen unstable; urgency=low

  * Fixed
    post{inst,rm}-does-not-call-updatemenus usr/lib/menu/xkeycaps
  * Cleanup/update of the rules file.
  * Workaround for the cpp/imake problem. Is this still needed?

 -- J.H.M. Dassen (Ray) <jdassen@wi.leidenuniv.nl>  Thu,  2 Apr 1998 18:42:39 +0200

xkeycaps (2.42-2) unstable; urgency=low

  * Previous version was built as "debian-specific source" by accident.

 -- J.H.M. Dassen (Ray) <jdassen@wi.leidenuniv.nl>  Wed,  4 Feb 1998 16:26:05 +0100

xkeycaps (2.42-1) unstable; urgency=low

  * New upstream release.
  * Checked compliance with current policy; no bashisms.

 -- J.H.M. Dassen (Ray) <jdassen@wi.leidenuniv.nl>  Tue, 27 Jan 1998 14:55:31 +0100

xkeycaps (2.41-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@wi.leidenuniv.nl>  Thu,  1 Jan 1998 17:51:11 +0100

xkeycaps (2.38-4) unstable; urgency=low

  * Switched to debhelper.

 -- J.H.M. Dassen (Ray) <jdassen@wi.leidenuniv.nl>  Thu,  1 Jan 1998 16:32:45 +0100

xkeycaps (2.38-3) unstable; urgency=low

  * xaw-wrappers conffile was executable (Bug #14141).

 -- J.H.M. Dassen (Ray) <jdassen@wi.leidenuniv.nl>  Sun, 26 Oct 1997 12:45:13 +0100

xkeycaps (2.38-2) unstable; urgency=low

  * Conflict with libc5 Xaw packages. xkeycaps is linked against libc6 Xaw,
    but a libc5 Xaw might be loaded by ld.so .

 -- J.H.M. Dassen (Ray) <jdassen@wi.leidenuniv.nl>  Thu, 11 Sep 1997 16:12:45 +0200

xkeycaps (2.38-1) unstable; urgency=low

  * New upstream release.
  * libc6 binary.
  * The upstream source is distributed as .tar.Z; the Debian source is
    .tar.gz, the tar part of which is now pristine.
  * Files are installed with preserved timestamps.
  * Cleanup: no gdb histories in diff; nor Makefile (generated by
    debian/rules).

 -- J.H.M. Dassen (Ray) <jdassen@wi.leidenuniv.nl>  Tue,  9 Sep 1997 08:54:24 +0200

xkeycaps (2.37-1) unstable; urgency=medium (high for neXtaw users)

  * Brought up to date: latest version, new maintainer, new source format,
    debmake, menu. This fixes all reported bugs:
    old conventions (#6079), outdated dependencies etc. (#6601, #9329,
    #9896), old source format (#9570), outdated version (#10675),
  * Uses xaw-wrappers as xkeycaps fails with neXtaw.

 -- J.H.M. Dassen (Ray) <jdassen@wi.leidenuniv.nl>  Wed, 30 Jul 1997 12:03:32 +0200

